> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# List compliance details for a given list of MSKUs.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-item-compliance-details

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Query parameters

- `mskus` (list of string, required) — A list of merchant SKUs, a merchant-supplied identifier of a specific SKU.
- `marketplaceId` (string, required) — The Walmart Marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.walmart.com/seller-api/docs/marketplace-ids).

## Response

### 200

Success

- `complianceDetails` (list of ComplianceDetail, optional) — List of compliance details.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### ComplianceDetail

Contains item identifiers and related tax information.

- `msku` (string, optional) — The merchant SKU, a merchant-supplied identifier for a specific SKU.
- `taxDetails` (TaxDetails, optional) — Information used to determine the tax compliance.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### TaxDetails

Information used to determine the tax compliance.

- `declaredValue` (Currency, optional) — The type and amount of currency.
- `hsnCode` (string, optional) — Harmonized System of Nomenclature code.
- `taxRates` (list of TaxRate, optional) — List of tax rates.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

### TaxRate

Contains the type and rate of tax.

- `cessRate` (double, optional) — Rate of cess tax.
- `gstRate` (double, optional) — Rate of gst tax.
- `taxType` (string, optional) — Type of tax. Possible values: `CGST`, `SGST`, `IGST`, `TOTAL_TAX`.

## Examples

**Response**

```json
{
  "complianceDetails": [
    {
      "msku": "string",
      "taxDetails": {
        "declaredValue": {
          "amount": 1.1,
          "code": "string"
        },
        "hsnCode": "string",
        "taxRates": [
          {
            "cessRate": 1.1,
            "gstRate": 1.1,
            "taxType": "string"
          }
        ]
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance"

querystring = {"marketplaceId":"marketplaceId","mskus":"[\"string\"]"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/compliance?marketplaceId=marketplaceId&mskus=%5B%22string%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```